import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {OriginalListParams, ScrapContainerLogParams} from '@models';

/** 页码管理 */
export const pageContext = createPageContext();

/** 搜索管理 */
export const searchContext = createSearchContext();

export const contextState: OriginalListParams<ScrapContainerLogParams> = {
  startTime: '',
  endTime: '',
  containerName: '',
  operationName: '',
};
export const context = createTableSearchContext(contextState);
